Package relaxngcc.datatype

# Class DatatypeLibraryManager

java.lang.Object
relaxngcc.datatype.DatatypeLibraryManager

public class DatatypeLibraryManager extends Object
Maintains datatypes and their converter definitions and allow `Datatype` objects to be retrieved.

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

## Constructor Summary

Constructors
Constructor
Description
`DatatypeLibraryManager(Options _opt)`

## Method Summary

Modifier and Type
Method
Description
`DatatypeLibrary`
`getLibrary(String name)`
Obtains a datatype library by its name.
`void`
`parse(InputSource source)`
Parses a datatype definition XML file and adds it to this manager.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DatatypeLibraryManager

public DatatypeLibraryManager(Options _opt)

## Method Details

### parse

public void parse(InputSource source) throws SAXException, IOException
Parses a datatype definition XML file and adds it to this manager.

Throws:
  `SAXException`
  `IOException`

### getLibrary

public DatatypeLibrary getLibrary(String name)
Obtains a datatype library by its name.

Returns:
  Always return non-null valid object.